
#  BQ Marlin v2.3.1
---
### Bugfixes:
* Fixed acceleration values on Prusa i3 Hephestos (H/HXL).

#  BQ Marlin v2.3.0
---
### Bugfixes:
* Fixed: serial commands with filename data fail when sent with line number (W/H/HXL/W2/H2).
* Fixed: M20 doesn't return folders with very short names (W/H/HXL/W2/H2).
* Now when hit a wrong line number error, will also return OK message (W/H/HXL/W2/H2).
* Improved opening files in the SD card deeper than two folders using serial commands with absolute paths (W/H/HXL/W2/H2).
* Completed prints statistic is not increased if a print has not been previously started (W2/H2).
* Analog control re-enabled for blower fan (W/H/HXL).
* Corrected Hephestos 2 "Extruder steps per unit" value on configuration (H2).

### Improvements:
* Erasing EEPROM through serial shows EEPROM erasing screen in LCD (W2/H2).
* Changed rest position  (W/H/HXL).
* Added support for custom builds with filament sensor (H/HXL/H2).
* Reduced motor noise (W/H/HXL/W2/H2).
    Stepper management changes:
    - 16 steps per interrupt for 32 usteps.
    - Maximum Frequency: 1.667 KHz
    - Maximum Step Multiplier: x16
    - Maximum Steps/Second: 26.667 Kstep/s
    - Maximum Axis Speed (32 usteps): 167 mm/s
  Note: a new configuration option, PREFER_MAX_SPEED, is available in the configuration files to allow custom builds with previous stepper control profile.

### New features:
* New screen will remind to replace the PTFE tube every 250 hours of printing (W2/H2).

#  BQ Marlin v2.2.0
---
### Under the hood:
* Dockerfile for automatic builds (W/H/HXL/W2/H2).
* Compiled with GCC 4.8 (W/H/HXL/W2/H2).
* Using Arduino SDK 1.6.7 (W/H/HXL/W2/H2).

### Bugfixes:
* Fixed first connection generates gibberish output through serial producing several issues and blockings (H2).
* G28 homing action is no longer ignored via serial. Consider that the plane will be destroyed by means of the G28, so G29 should be used afterwards (W2/H2).
* M20 now returns all files present on the SD card (W/H/HXL/W2/H2).
* Fixed: SD browsing through screen interface shows an empty line if a file doesn't have a regular filename (W/H/HXL/W2/H2).
* G29 is no longer allowed when printing from SD to avoid the destruction of the plane (W2/H2).
* Workaround for Repetier sending M23 incorrectly formatted (extra blank space after file name) which causes fail when trying to open a file (W/H/HXL/W2/H2).
* M24 can be used now to start an SD file printing from serial (W2/H2).
* M24 can be used to resume paused SD file printing from serial (W2/H2).
* Fixed: M25 causes the printer to stop responding when printing an SD file from serial (W2/H2).
* Fixed: M29 doesn't return an OK message after closing the file (W/H/HXL/W2/H2).
* Fixed manual levelling sequence not properly interrupted by inactivity (W2/H2).
* Internally generated commands no longer produce an 'OK' message on serial (W/H/HXL/W2/H2).
* M801 sends the correct number of "ok" messages after flushing the command buffer (W2/H2).
* Fixed: M84 internally generated by M801 is sometimes lost (W2/H2).
* Fixed: "Done printing file" not sent when file is finished using M801 command (W2/H2).
* Fixed: Language build selection on Windows not working (W/H/HXL).
* M27 generates "Not SD printing" message if no file is open (W/H/HXL/W2/H2).

### Improvements:
* Bed detection sequence now shows a specific error screen, instead of going to 'Emergency Stop' (W2).
* Use of serial commands is allowed while printing files from the SD (W2/H2).
* Incomplete data from serial, when printing from the SD, is discarded (W/H/HXL/W2/H2).
* Only enter Serial Screen mode upon completed commands (W2/H2).
* Files on SD are now shown in reverse order of inode creation, so newer files will appear on top of the screen (unless they are substituting a previously erased inode, which can't be controlled with SDFAT implementation) (W/H/HXL/W2/H2).
* Improved arduino folder detection when using make.cmd to build the firmware on Windows (W/H/HXL/W2/H2).

### New features:
* Support for Toshiba FlashAir SD-Wifi cards (W/H/HXL/W2/H2).

#  BQ Marlin v2.1.0
---
### Bugfixes:
* Fixed: Printing from SD stops if USB cable is disconnected (W2/H2).
* Fixed: Changing filament, inherited feedrate can produce sliding on extruder (W/H/HXL/W2/H2).
* Fixed serial printing from Cura 15.04 and possibly other host systems (W/H/HXL/W2/H2).
* Skip temperature animation on manual levelling when temperature is already above preheat value (W2/H2).
* Fixed: Printing position can be lost after a fast filament change (W2/H2).
* Auto-levelling option can now be built on 1st generation printers (W/H/HXL).
* Blower is now activated when a percent of speed (M106) is selected (always 100% of speed is used though) (W2/H2).
* Fixed serial printing entering in inactivity state if M800 is not used.

### Improvements:
* Reduce printing slowdown with very short segments due to screen updates (W2/H2).
* Added board serial number to M115 response over serial (W2/H2).
* Reduce one check on double homing (base detection) algorithm (W2).

### New features:
* Added an error screen when special (non supported) characters are used on file names or folders (W2/H2).
* Added a new statistics screen. Now printing time and successful/cancelled printings are stored on EEPROM (W2/H2).

### Translations:
* Italian, Russian and Portuguese fixes (W2/H2).
* Minor changes on all languages (W2/H2).

#  BQ Marlin v2.0.0
---
### Under the hood:
* Synced with upstream Marlin (git-9b50ec) (20150228) with additional fixes.
* Built with Arduino SDK 1.6.4.
* Built wit C++11 support.
* Dropped support for Arduino IDE. Use the provided Makefile instead, see README.md for detailed instructions.

### New hardware support:
* Support for additional Arduino pins, extending the SDK file, required by BQ-CNC and BQ-Zum Mega3D boards.
* Support for new printers Hephestos 2 and Witbox 2.
* Improved support for LCD display 12864U5.

### Bugfixes:
* Increased material extrusion on filament insertion, to ensure that the hotend is totally clean (W/H/HXL/W2/H2).
* Increased retraction of material on pause and filament change to avoid leaving drops of material on the piece (W/H/HXL/W2/H2).
* Fixed low extrusion after pausing and/or filament change (W/H/HXL/W2/H2).
* Fixed wrong retraction on M600 GCode (W/H/HXL/W2/H2).
* Fixed non-linear behaviour of thermistor for increased accuracy on temperature measurement (W/H/HXL/W2/H2).
* Ensure buffer is cleared after finishing or cancelling a printing (W/H/HXL/W2/H2).
* Fixed reading long filenames on SD card (W/H/HXL/W2/H2).
* Fixed crash when browsing up to 10 levels of subdirectories (W/H/HXL/W2/H2).
* Changed drivers pulse frequency to enhance real-time response and layer-shifting protection (W/H/HXL/W2/H2).
* Improved endstop logic (W/H/HXL/W2/H2).

### Changes:
* Removed last levelling point (confirmation point) (W/H/HXL).
* Changed some operational positions to improve usability and uniformity between printers (W/H/HXL).

### New features:
* New graphical interface for LCD display 12864U5 (W2/H2).
* Renewed auto-levelling feature with improved precision and accuracy (W2/H2).
* Sensor-assisted wizard for manual levelling (W2/H2).
* Support for new double drive gear (DDG) extruder (W2/H2).
* New real-time PID control for DDG extruder (W2/H2).
* Multilanguage support on a single build: English, Spanish, German, French, Portuguese, Italian, Swedish and Russian (W2/H2).
* Inactivity mode (W2/H2).
* Serial printing screen (W2/H2).
* Smart Light (W2).
* Automatic base detection (W2).
* Configurable chassis fan (W2).
