///////////////////////////////////////////////////////////////////////////////
/// \file Language.cpp
///
/// \author Ivan Galvez Junquera
///         Ruy Garcia
///         Victor Andueza
///         Joaquin Herrero
///
/// \brief String definitions for UI.
///
/// Copyright (c) 2015 BQ - Mundo Reader S.L.
/// http://www.bq.com
///
/// This file is free software; you can redistribute it and/or modify
/// it under the terms of either the GNU General Public License version 2 or
/// later or the GNU Lesser General Public License version 2.1 or later, both
/// as published by the Free Software Foundation.
///
/// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
/// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
/// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
/// THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
/// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
/// FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
/// DEALINGS IN THE SOFTWARE.
///////////////////////////////////////////////////////////////////////////////

#include "Language.h"
#include "StorageManager.h"

Language LANG = static_cast<Language>(eeprom::StorageManager::getLanguage());

TR(SCREEN_EMERGENCY_TITLE)
TR(SCREEN_EMERGENCY_TEXT)
TR(SCREEN_EMERGENCY_BOX)
TR(SCREEN_SD_LIST_TITLE)
TR(SCREEN_SD_LIST_CONFIRM)
TR(SCREEN_SD_LIST_BACK)
TR(SCREEN_SD_LIST_PREV)
TR(SCREEN_UNLOAD_INIT_TITLE)
TR(SCREEN_UNLOAD_INIT_TEXT)
TR(SCREEN_UNLOAD_HOME_TITLE)
TR(SCREEN_UNLOAD_HOME_TEXT)
TR(SCREEN_UNLOAD_SELECT_TITLE)
TR(SCREEN_UNLOAD_HEATING_TITLE)
TR(SCREEN_MOVE_TO_UNLOAD_TITLE)
TR(SCREEN_MOVE_TO_UNLOAD_TEXT)
TR(SCREEN_UNLOAD_INFO_TITLE)
TR(SCREEN_UNLOAD_INFO_TEXT)
TR(SCREEN_UNLOADING_TITLE)
TR(SCREEN_UNLOADING_TEXT)
TR(SCREEN_UNLOAD_CONFIRM_TITLE)
TR(SCREEN_UNLOAD_CONFIRM_TEXT)
TR(SCREEN_LOAD_INIT_TITLE)
TR(SCREEN_LOAD_INIT_TEXT)
TR(SCREEN_LOAD_HOME_TITLE)
TR(SCREEN_LOAD_HOME_TEXT)
TR(SCREEN_LOAD_SELECT_TITLE)
TR(SCREEN_LOAD_HEATING_TITLE)
TR(SCREEN_MOVE_TO_LOAD_TITLE)
TR(SCREEN_MOVE_TO_LOAD_TEXT)
TR(SCREEN_LOAD_INFO_TITLE)
TR(SCREEN_LOAD_INFO_TEXT)
TR(SCREEN_LOADING_TITLE)
TR(SCREEN_LOADING_TEXT)
TR(SCREEN_LOAD_CONFIRM_TITLE)
TR(SCREEN_LOAD_CONFIRM_TEXT)
TR(SCREEN_LEVEL_INIT_TITLE)
TR(SCREEN_LEVEL_INIT_TEXT)
TR(SCREEN_LEVEL_PREHEATING_TITLE)
TR(SCREEN_LEVEL_HOMING_TITLE)
TR(SCREEN_LEVEL_HOMING_TEXT)
TR(SCREEN_LEVEL1_TITLE)
TR(SCREEN_LEVEL1_TEXT)
TR(SCREEN_LEVEL2_TITLE)
TR(SCREEN_LEVEL2_TEXT)
TR(SCREEN_LEVEL3_TITLE)
TR(SCREEN_LEVEL3_TEXT)
TR(SCREEN_LEVEL_CONFIRM_TITLE)
TR(SCREEN_LEVEL_CONFIRM_TEXT)
TR(SCREEN_AUTOHOME_INIT_TITLE)
TR(SCREEN_AUTOHOME_INIT_TEXT)
TR(SCREEN_AUTOHOME_HEATING_TITLE)
TR(SCREEN_AUTOHOME_HOMING_TITLE)
TR(SCREEN_AUTOHOME_HOMING_TEXT)
TR(SCREEN_SETTINGS_TITLE)
TR(SCREEN_SETTINGS_TEXT)
TR(SCREEN_MOVE_INFO_TITLE)
TR(SCREEN_MOVE_INFO_TEXT)
TR(SCREEN_MOVE_TITLE)
TR(SCREEN_MOVE_TEXT)
TR(SCREEN_MOVE_CONFIRM_TITLE)
TR(SCREEN_MOVE_CONFIRM_TEXT)
TR(SCREEN_MOVE_HEATING_TITLE)
TR(SCREEN_MOVE_X_TITLE)
TR(SCREEN_MOVE_X_TEXT)
TR(SCREEN_MOVE_Y_TITLE)
TR(SCREEN_MOVE_Y_TEXT)
TR(SCREEN_MOVE_Z_TITLE)
TR(SCREEN_MOVE_Z_TEXT)
TR(SCREEN_MOVE_E_TITLE)
TR(SCREEN_MOVE_E_TEXT)
TR(SCREEN_MOVE_X_01MM_TITLE)
TR(SCREEN_MOVE_X_1MM_TITLE)
TR(SCREEN_MOVE_X_10MM_TITLE)
TR(SCREEN_MOVE_Y_01MM_TITLE)
TR(SCREEN_MOVE_Y_1MM_TITLE)
TR(SCREEN_MOVE_Y_10MM_TITLE)
TR(SCREEN_MOVE_Z_01MM_TITLE)
TR(SCREEN_MOVE_Z_1MM_TITLE)
TR(SCREEN_MOVE_Z_10MM_TITLE)
TR(SCREEN_MOVE_E_01MM_TITLE)
TR(SCREEN_MOVE_E_1MM_TITLE)
TR(SCREEN_TEMP_TITLE)
TR(SCREEN_TEMP_HEATING_TITLE)
TR(SCREEN_INFO_TITLE)
TR(SCREEN_CONTACT_TITLE)
TR(SCREEN_CONTACT_TEXT)
TR(SCREEN_OFFSET_INIT_TITLE)
TR(SCREEN_OFFSET_INIT_TEXT)
TR(SCREEN_OFFSET_PREHEATING_TITLE)
TR(SCREEN_OFFSET_HOME_TITLE)
TR(SCREEN_OFFSET_HOME_TEXT)
TR(SCREEN_OFFSET_PLANE_TITLE)
TR(SCREEN_OFFSET_PLANE_TEXT)
TR(SCREEN_OFFSET_INFO_TITLE)
TR(SCREEN_OFFSET_INFO_TEXT)
TR(SCREEN_OFFSET_SET_TITLE)
TR(SCREEN_OFFSET_FINISH_TITLE)
TR(SCREEN_OFFSET_FINISH_TEXT)
TR(SCREEN_PRINT_HEATING_TITLE)
TR(SCREEN_PRINT_PRINTING)
TR(SCREEN_PRINT_PAUSE)
TR(SCREEN_PRINT_PAUSED)
TR(SCREEN_PRINT_PAUSING)
TR(SCREEN_PRINT_COMPLETE_TITLE)
TR(SCREEN_PRINT_COMPLETE_TEXT)
TR(SCREEN_STOP_CONFIRM_TITLE)
TR(SCREEN_CHANGE_INIT_TITLE)
TR(SCREEN_CHANGE_INIT_TEXT)
TR(SCREEN_CHANGE_PAUSE_TITLE)
TR(SCREEN_CHANGE_PAUSE_TEXT)
TR(SCREEN_CHANGE_SELECT_TITLE)
TR(SCREEN_CHANGE_HEATING_TITLE)
TR(SCREEN_MOVE_TO_CHANGE_TITLE)
TR(SCREEN_MOVE_TO_CHANGE_TEXT)
TR(SCREEN_CHANGE_INFO1_TITLE)
TR(SCREEN_CHANGE_INFO1_TEXT)
TR(SCREEN_CHANGE_UNLOAD_TITLE)
TR(SCREEN_CHANGE_UNLOAD_TEXT)
TR(SCREEN_CHANGE_INFO2_TITLE)
TR(SCREEN_CHANGE_INFO2_TEXT)
TR(SCREEN_CHANGE_LOAD_TITLE)
TR(SCREEN_CHANGE_LOAD_TEXT)
TR(SCREEN_CHANGE_CONFIRM_TITLE)
TR(SCREEN_CHANGE_CONFIRM_TEXT)
TR(SCREEN_SPEED_TITLE)
TR(SCREEN_SERIAL_TITLE)
TR(SCREEN_WIZARD_TITLE)
TR(SCREEN_WIZARD_SELECT)
TR(SCREEN_WIZARD_LANGUAGE)
TR(SCREEN_WIZARD_TEXT1)
TR(SCREEN_WIZARD_TEXT2)
TR(SCREEN_WIZARD_TEXT3)
TR(SCREEN_WIZARD_TEXT4)
TR(SCREEN_RESET_INIT_TITLE)
TR(SCREEN_RESET_INIT_TEXT)
TR(SCREEN_RESET_INFO_TITLE)
TR(SCREEN_RESET_INFO_TEXT)
TR(SCREEN_RESET_TITLE)
TR(SCREEN_RESET_TEXT)
TR(SCREEN_ERROR_TITLE)
TR(SCREEN_ERROR_TEMPERATURE_TEXT)
TR(ICON_SD_NOSD)
TR(ICON_SD_SD)
TR(ICON_FILAMENT_UNLOAD)
TR(ICON_FILAMENT_LOAD)
TR(ICON_LEVELING)
TR(ICON_HOMING)
TR(ICON_SETTINGS)
TR(ICON_STEPPERS)
TR(ICON_STEPPERS_OFF)
TR(ICON_MOVEAXIS)
TR(ICON_TEMPERATURE)
TR(ICON_PLAY)
TR(ICON_PAUSE)
TR(ICON_STOP)
TR(ICON_CHANGE_FILAMENT)
TR(ICON_CHANGE_SPEED)
TR(ICON_RETRY)
TR(ICON_OK2)
TR(ICON_MOVE_X)
TR(ICON_MOVE_Y)
TR(ICON_MOVE_Z)
TR(ICON_MOVE_E)
TR(ICON_MOVE_10MM)
TR(ICON_MOVE_1MM)
TR(ICON_MOVE_01MM)
TR(OPTION_LIGHTLED)
TR(OPTION_BOX_FAN)
TR(OPTION_INFO)
TR(OPTION_CONTACT)
TR(OPTION_AUTOLEVEL)
TR(OPTION_SERIAL)
TR(OPTION_OFFSET)
TR(OPTION_LANGUAGE)
TR(OPTION_RESET)
TR(PUSH_TO_CONFIRM)
TR(PUSH_TO_CONTINUE)
TR(PUSH_TO_START)
TR(PUSH_TO_BACK)
TR(PUSH_TO_FINISH)
TR(PLEASE_WAIT)
TR(BACK)
TR(MODE)
TR(INACTIVE)
TR(TEMP_OFF)
TR(TOTAL_TIME)
TR(SCREEN_PRINT_STOP_TITLE)
TR(SCREEN_PRINT_STOP_TEXT)
TR(SCREEN_CHANGE_WAIT_PAUSE_TITLE)
TR(SCREEN_CHANGE_WAIT_PAUSE_TEXT)
TR(OPTION_STATS)
TR(SCREEN_VIEW_STATS_TITLE)
TR(SCREEN_VIEW_STATS_TEXT1)
TR(SCREEN_VIEW_STATS_TEXT2)
TR(SCREEN_VIEW_STATS_TEXT3)
TR(SCREEN_NAME_ERROR_TEXT)
TR(SCREEN_BASE_ERROR_TEXT)
TR(SCREEN_PTFE_TITLE)
TR(SCREEN_PTFE_TEXT)
